## Abort a payment on a terminal

This endpoint cancels any payment request that was sent to a terminal via start-payment-on-terminal.
This only works if the payment was not yet started.

It returns true if successful.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/abort-payment-on-terminal HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  terminal_id: string,
}
```

Returns: boolean

## Request arguments

### `terminal_id` (string)

**Required**. The ID of the terminal where the payment should be aborted.

## Errors specific to this endpoint

### `NOT_FOUND`

The terminal could not be found.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
